



#include "xanimdynamicindices.h"

XAnimDynamicIndices::XAnimDynamicIndices()
    : XAsset() {
}

void XAnimDynamicIndices::ParseData(QDataStream *aStream) {
    if (GetPtr() == -1) {
        aStream->read((char*)mIndices, sizeof(quint8));
    }
}

const quint8* XAnimDynamicIndices::GetIndices() const {
    return mIndices;
}

void XAnimDynamicIndices::SetIndices(const quint8* indices, size_t count) {
    if (count <= 1) {
        memcpy(mIndices, indices, count * sizeof(quint8));
    }
}



